/***********************************************************************
    filename:   CEGUIREngPrerequisites.h
    created:    Tue Feb 19 2010
    author:     Adil Yalcin
*************************************************************************/
/****************************************************************************
Copyright 2010 Adil Yalcin

Licensed under the Apache License, Version 2.0 (the "License"); 
you may not use this file except in compliance with the License. 
You may obtain a copy of the License at 
http://www.apache.org/licenses/LICENSE-2.0 

Unless required by applicable law or agreed to in writing, software 
distributed under the License is distributed on an "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
See the License for the specific language governing permissions and 
limitations under the License. 
****************************************************************************/
#ifndef _CEGUIREngPrerequisites_h_
#define _CEGUIREngPrerequisites_h_

// modify export directive when compiling in windows using shared library
#if RENG_PLATFORM == RENG_PLATFORM_WINDOWS
#	if defined( RENG_SHARED_LIB )
#		if defined( RENG_IMPORT_LIB )
#       define RENG_GUIRENDERER_API __declspec(dllimport)
#		else
#       define RENG_GUIRENDERER_API __declspec(dllexport)
#		endif
#	else
#   define RENG_GUIRENDERER_API
#	endif
#else
#	define RENG_GUIRENDERER_API
#endif

#endif  // end of guard _CEGUIREngPrerequisites_h_
